from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='propius',
    packages=['propius'],
    version='0.1.2',
    license='apache-2.0',
    description='Extracts similar items over a big data using correlation between items over sparse data structures',
    long_description=long_description,
    author='Daniel Valencia',
    author_email='dafevara@gmail.com',
    url='https://github.com/dafevara/propius',
    download_url='https://github.com/dafevara/propius/archive/refs/tags/0.1.1.tar.gz',
    keywords=['python', 'machine-learning', 'big-data', 'bigdata', 'sparse', 'recommender-system', 'knn', 'sparse-matrices'],
    install_requires=[
        'setuptools',
        'numpy',
        'pandas',
        'scikit-learn',
        'fsspec',
        's3fs',
        'tdqm',
        'mkdocs',
        'mkdocs-gitbook',
        'pygments',
        'mkdocs-rtd-dropdown',
        'mkdocs-material',
        'mkdocstrings'
    ],
    classifiers=[
        'Environment :: Console',
        'Environment :: MacOS X',
        'Environment :: Other Environment',
        'Environment :: Win32 (MS Windows)',
        'Environment :: X11 Applications',
        'Operating System :: MacOS',
        'Operating System :: MacOS :: MacOS X',
        'Operating System :: Microsoft',
        'Operating System :: Microsoft :: MS-DOS',
        'Operating System :: Microsoft :: Windows',
        'Operating System :: POSIX',
        'Operating System :: POSIX :: BSD',
        'Operating System :: POSIX :: BSD :: FreeBSD',
        'Operating System :: POSIX :: Linux',
        'Operating System :: POSIX :: SunOS/Solaris',
        'Operating System :: Unix',
        'Development Status :: 3 - Alpha',
        'Intended Audience :: Developers',
        'Topic :: Software Development',
        'Topic :: Software Development :: Libraries',
        'Topic :: Software Development :: Libraries :: Application Frameworks',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Software Development :: Build Tools',
        'Topic :: Scientific/Engineering :: Artificial Intelligence',
        'Topic :: Scientific/Engineering :: Information Analysis',
        'Topic :: Scientific/Engineering :: Mathematics',
        'License :: OSI Approved :: Apache Software License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
)
